org.apache.tomcat.util.codec

## Interface BinaryEncoder

All Superinterfaces:
  Encoder

All Known Implementing Classes:
  Base64, BaseNCodec

    public interface BinaryEncoder
    extends Encoder

Defines common encoding methods for byte array encoders.

### Method Summary

Methods
`byte[]` `encode(byte[] source)` Encodes a byte array and return the encoded data as a byte array.

### Methods inherited from interface org.apache.tomcat.util.codec.Encoder

`encode`

### Method Detail

#### encode

    byte[] encode(byte[] source)
                  throws EncoderException

Encodes a byte array and return the encoded data as a byte array.

Parameters:
  `source` - Data to be encoded
Returns:
  A byte array containing the encoded data
Throws:
  `EncoderException` - thrown if the Encoder encounters a failure condition during the encoding process.